Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_MT_MEM_IO::Simple_Queue Class Reference

`#include <MEM_IO.h>`

Collaboration diagram for ACE_MT_MEM_IO::Simple_Queue:

[legend]
List of all members.

## Public Member Functions
| Simple_Queue (void)
| Simple_Queue (MQ_Struct *mq)
int | init (MQ_Struct *mq, ACE_MEM_SAP::MALLOC_TYPE *malloc)
int | write (ACE_MEM_SAP_Node *new_msg)
ACE_MEM_SAP_Node * | read (void)
## Private Attributes
MQ_Struct * | mq_
ACE_MEM_SAP::MALLOC_TYPE * | malloc_

## Constructor & Destructor Documentation

ACE_INLINE ACE_MT_MEM_IO::Simple_Queue::Simple_Queue | ( | void |  | ) |

ACE_INLINE ACE_MT_MEM_IO::Simple_Queue::Simple_Queue | ( | MQ_Struct * | mq | ) |

## Member Function Documentation

ACE_INLINE int ACE_MT_MEM_IO::Simple_Queue::init | ( | MQ_Struct * | mq,
|  | ACE_MEM_SAP::MALLOC_TYPE * | malloc
| ) |

ACE_MEM_SAP_Node * ACE_MT_MEM_IO::Simple_Queue::read | ( | void |  | ) |

int ACE_MT_MEM_IO::Simple_Queue::write | ( | ACE_MEM_SAP_Node * | new_msg | ) |

## Member Data Documentation

ACE_MEM_SAP::MALLOC_TYPE* ACE_MT_MEM_IO::Simple_Queue::malloc_`[private]`

MQ_Struct* ACE_MT_MEM_IO::Simple_Queue::mq_`[private]`

The documentation for this class was generated from the following files:

- MEM_IO.h
- MEM_IO.cpp
- MEM_IO.inl